
Infrastructure - Task #1754

Session types needs a corresponding session root element

2011-08-31 17:53 - Dave Vieglais

Status: Closed Start date: 2011-08-31

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

jibx and pyxb require root elements to be defined in the schema document to enable serialization of instances for the corresponding

type.

Convention is to use lowercase first character of the type name.

Task is to add "session" root element of type Session to the dataoneTypes.xsd schema document

History

#1 - 2011-08-31 17:59 - Matthew Jones

- Status changed from New to In Progress

#2 - 2011-08-31 20:03 - Matthew Jones

- % Done changed from 0 to 90

Committed change.  Just need to merge to trunk with other pending schema changes.

#3 - 2012-02-24 19:26 - Chris Jones

- Status changed from In Progress to Closed

Dave added in a number of top level elements from the complex types in the schema.
